# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KLanguageButton Class Reference

KLanguageButton provides a combobox with a 2-D dataset. More...

`#include <klanguagebutton.h>`

Inheritance diagram for KLanguageButton:

[legend]
Collaboration diagram for KLanguageButton:

[legend]
List of all members.

## Signals

void | activated (const QString &id)
void | highlighted (const QString &id)

## Public Member Functions

| KLanguageButton (QWidget *parent=0, const char *name=0)
| KLanguageButton (const QString &text, QWidget *parent=0, const char *name=0)
virtual | ~KLanguageButton ()
void | insertItem (const QIconSet &icon, const QString &text, const QString &id, const QString &submenu=QString::null, int index=-1)
void | insertItem (const QString &text, const QString &id, const QString &submenu=QString::null, int index=-1)
void | insertSeparator (const QString &submenu=QString::null, int index=-1)
void | insertSubmenu (const QIconSet &icon, const QString &text, const QString &id, const QString &submenu=QString::null, int index=-1)
void | insertSubmenu (const QString &text, const QString &id, const QString &submenu=QString::null, int index=-1)
void | insertLanguage (const QString &path, const QString &name, const QString &sub=QString::null, const QString &submenu=QString::null, int index=-1)
int | count () const
void | clear ()
void | setText (const QString &text)
QString | current () const
bool | contains (const QString &id) const
void | setCurrentItem (const QString &id)
QString | id (int i) const

## Detailed Description

KLanguageButton provides a combobox with a 2-D dataset.

It also supports icons. It is also possible to construct a non combobox version.

All items are identified using strings, not integers.

Combined version of KTagCombo and KLanguageCombo but using a QPushButton instead.

Definition at line 47 of file klanguagebutton.h.

## Constructor & Destructor Documentation

KLanguageButton::KLanguageButton | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |

Constructs a combobox widget with parent parent called name.

Parameters:

  | parent | The parent of the combo box
  | name | The name of the combo box

Definition at line 84 of file klanguagebutton.cpp.

KLanguageButton::KLanguageButton | ( | const QString & | text,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |

Constructs a version with static text.

The parent parent is called name.

Parameters:

  | text | The text of the button
  | parent | The parent of the button
  | name | The name of the button

Definition at line 90 of file klanguagebutton.cpp.

References setText().

KLanguageButton::~KLanguageButton | ( |  | ) | `[virtual]`

| Deconstructor. Definition at line 122 of file klanguagebutton.cpp.

## Member Function Documentation

void KLanguageButton::insertItem | ( | const QIconSet & | icon,
|  | const QString & | text,
|  | const QString & | id,
|  | const QString & | submenu = `QString::null`,
|  | int | index = `-1`
| ) |

Inserts an item into the combo box.

A negative index will append the item.

Parameters:

  | icon | The icon used used when displaying the item.
  | text | The text string used when displaying the item.
  | id | The text string used to identify the item.
  | submenu | The place where the item should be placed.
  | index | The visual position in the submenu.

Definition at line 144 of file klanguagebutton.cpp.

References QPopupMenu::insertItem().

Referenced by insertItem().

void KLanguageButton::insertItem | ( | const QString & | text,
|  | const QString & | id,
|  | const QString & | submenu = `QString::null`,
|  | int | index = `-1`
| ) |

Inserts an item into the combo box.

A negative index will append the item.

Parameters:

  | text | The text string used when displaying the item.
  | id | The text string used to identify the item.
  | submenu | The place where the item should be placed.
  | index | The visual position in the submenu.

Definition at line 153 of file klanguagebutton.cpp.

References insertItem().

void KLanguageButton::insertSeparator | ( | const QString & | submenu = `QString::null`,
|  | int | index = `-1`
| ) |

Inserts a seperator item into the combo box.

A negative index will append the item.

Parameters:

  | submenu | The place where the item should be placed.
  | index | The visual position in the submenu.

Definition at line 159 of file klanguagebutton.cpp.

References QPopupMenu::insertSeparator().

void KLanguageButton::insertSubmenu | ( | const QIconSet & | icon,
|  | const QString & | text,
|  | const QString & | id,
|  | const QString & | submenu = `QString::null`,
|  | int | index = `-1`
| ) |

Inserts a submenu into the combo box.

A negative index will append the item.

Parameters:

  | icon | The icon used used when displaying the item.
  | text | The text string used when displaying the item.
  | id | The text string used to identify the item.
  | submenu | The place where the item should be placed.
  | index | The visual position in the submenu.

Definition at line 166 of file klanguagebutton.cpp.

References activated(), and QPopupMenu::insertItem().

Referenced by insertSubmenu().

void KLanguageButton::insertSubmenu | ( | const QString & | text,
|  | const QString & | id,
|  | const QString & | submenu = `QString::null`,
|  | int | index = `-1`
| ) |

Inserts a submenu into the combo box.

A negative index will append the item.

Parameters:

  | text | The text string used when displaying the item.
  | id | The text string used to identify the item.
  | submenu | The place where the item should be placed.
  | index | The visual position in the submenu.

Definition at line 181 of file klanguagebutton.cpp.

References insertSubmenu().

void KLanguageButton::clear | ( |  | ) |

| Removes all combobox items. Definition at line 211 of file klanguagebutton.cpp. References activated().

void KLanguageButton::setText | ( | const QString & | text | ) |

| Changes the current text item of the combobox, and makes the text static. Definition at line 98 of file klanguagebutton.cpp. Referenced by KLanguageButton().

QString KLanguageButton::current | ( |  | ) | const

| Returns the id of the combobox's current item. Definition at line 238 of file klanguagebutton.cpp.

bool KLanguageButton::contains | ( | const QString & | id | ) | const

| Returns TRUE if the combobox contains id. Definition at line 233 of file klanguagebutton.cpp.

void KLanguageButton::setCurrentItem | ( | const QString & | id | ) |

| Sets id as current item. Definition at line 277 of file klanguagebutton.cpp.

void KLanguageButton::activated | ( | const QString & | id | ) | `[signal]`

| This signal is emitted when a new item is activated. The id is the identificator of the selected item. Referenced by clear(), and insertSubmenu().

The documentation for this class was generated from the following files:

- klanguagebutton.h
- klanguagebutton.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:31 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003